Subject: Re: bug#34524: wc: word count incorrect when words separated only by no-break space

From: Bruno Haible <[email-masked]>
Date: Sat, 09 Mar 2019 14:52:49 +0100

Hi Pádraig,

> >> In regard to options for enabling various behaviors for wc(1),
> >> I'm thinking we might keep the strict POSIX isspace() behavior
> >> with LC_CTYPE=C and/or POSIXLY_CORRECT=1, and use iswnbspace()
> >> by default

Since you plan to add a --words=... option in the future (as suggested
by Paul or me), it would make sense to add this option now, instead
of testing POSIXLY_CORRECT. If you introduce POSIXLY_CORRECT dependent
behaviour now (and need to keep it for backward-compatibility), you'll
have a hard to understand interface: What will the following do?

  env POSIXLY_CORRECT=1 wc --words=unicode
  wc --words=unicode

Bruno